select
    pr.numero,
    pr.nome,
    (case when (pr.tipo = 'P') then 'Produto' else 'Servio' end) as tipo,
    (case when (pr.ativo = '1') then 'Sim' else 'No' end) as ativo,
    (case when (pr.estocavel = '1' and pr.saidaimediata = '0') then 'Estocvel'
        when (pr.saidaimediata = '1') then 'Sada imediata' when
        (pr.estocavel = '0') then 'No estocvel' else null end) as status,
    (select saldo from sp_customedio(current_date,pr.cdproduto)) as saldo,
    um.nome as unidade_medida,
    (select customedio from sp_customedio(current_date,pr.cdproduto)) as custo_medio,
    ((select saldo from sp_customedio(current_date,pr.cdproduto))
          * (select customedio from sp_customedio(current_date,pr.cdproduto))) as
          valor_total
from
    produto pr
    left join unidademedida um on um.cdunidademedida = pr.cdunidademedida
where
    pr.cdproduto in (select distinct cdproduto from movimentoestoque) and
  ( (select saldo from sp_customedio(current_date,pr.cdproduto)) = 0)